Summary: ext2 filesystem editor for hackers *only*
Name: ext2ed
Version: 0.1
Release: 14
Copyright: GPL
Group: Utilities/System
Source: ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/ext2ed-0.1.tar.gz
Patch: ext2ed-0.1-config.patch
Patch1: ext2ed-0.1-inode.patch
Patch2: ext2ed-0.1-glibc.patch
BuildRoot: /var/tmp/ext2ed-root
Summary(de): ext2-Dateisystem-Editor NUR fr Hacker  
Summary(fr): diteur du systme de fichiers ext2, *uniquement* pour les hackers
Summary(tr): ext2 dosya sistemi dzenleyicisi

%description
This is a package to allow for hacking of your extended two file
systems.  It is for hackers *only* and should only be used by
experienced personnel.  If you aren't sure if this is you, it
isn't.  Also, do not smoke near this software.  You have been
warned.  This is not a recording.

%description -l de
Dies ist ein Paket zum Hacken der ext2-Dateisysteme, zum 
AUSSCHLIESSLICHEN Gebrauch durch Hacker und versierte Fachleute. 
Wenn Sie sich nicht angesprochen fhlen, lassen Sie lieber die 
Hnde davon! Und noch etwas: Znden Sie sich in der Nhe dieser 
Software keine Zigarette an - sagen Sie nicht, wir htten Sie 
nicht gewarnt. 

%description -l fr
Paquetage permettant le hackind des systmes de fichiers ext2.
Il n'est *que* pour les hackers et doit tre utiliss par des
gens expriments. Si vous n'tes pas sr de l'tre, vous ne
l'tes pas. Ne fumez pas prs de ce logiciel. Vous aurez t
prvenu, ce n'est pas un exercice.

%description -l tr
Bu yazlmlarla ext2 dosya sistemi zerinde deiiklikler yapabilirsiniz.
Bu yazlm sadece ne yaptnzdan kesinkle eminseniz kullann.
Dosyalarnz kaybedecek olursanz, unutmayn: sizi uyarmtk!

%prep
%setup -q
%patch -p0 -b .config
%patch1 -p1 -b .inode
%patch2 -p1 -b .glibc

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man8,var/lib}

make	BIN_DIR=$RPM_BUILD_ROOT/usr/bin \
	MAN_DIR=$RPM_BUILD_ROOT/usr/man/man8 \
	VAR_DIR=$RPM_BUILD_ROOT/var/lib/ext2ed \
	install

strip $RPM_BUILD_ROOT/usr/bin/ext2ed

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/lib/ext2ed
/usr/bin/ext2ed
/usr/man/man8/ext2ed.8
%doc doc/user-guide-0.1.sgml
%doc doc/user-guide-0.1.ps
%doc doc/Ext2fs-overview-0.1.sgml

%changelog
* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses
- updated bad patch (!)

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- various spec file clean ups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- build against readline library w/ proper soname

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
